package com.alibaba.druid.sql.dialect.mariadb.ast.statement;

import com.alibaba.druid.DbType;
import com.alibaba.druid.sql.ast.statement.SQLShowGrantsStatement;
import com.alibaba.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbShowGrantsStatement extends SQLShowGrantsStatement implements MariadbShowStatement {
   public MariadbShowGrantsStatement() {
      this.dbType = DbType.mysql;
   }

   public void accept0(MariadbASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.user);
      }

      visitor.endVisit(this);
   }
}
